<?php
$lng_temp_id=0;
$arr_fields=array();
$this_company_id=$obj_ctl_user->get_company_id();

$obj_result = $obj_db->query("SELECT site_id,site_temp_id FROM ".DB_PRE."temp_site where site_issel=1 and site_source_id='".$this_company_id."'");
if($obj_rs = $obj_db->fetch_array($obj_result))
{
	$lng_temp_id=$obj_rs["site_temp_id"];
}

if($lng_temp_id>0){
	require SYS_ROOT.'/cls_tab/tab.temp.php';
	$obj_tab_temp=new cls_tab_temp();
	$arr_x=$obj_tab_temp->get_fields($lng_temp_id);
	foreach($arr_x as $item){
		if(in_array($item["type"],array("cont","list","piclist"))){
			$arr_y=array("name"=>$item["name"]);
			$arr_fields[]=$arr_y;
		}
	}
}
?>